"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var _1 = require("../../");
var Markdown_1 = require("../../extra/Markdown");
var Mermaid_1 = require("../../extra/Mermaid");
var readme = "\n# Mermaid\nGenerate charts from text using [mermaidjs](https://mermaidjs.github.io/).\n";
var source = "\ngraph TD;\n    A-->B;\n    A-->C;\n    B-->D;\n    C-->D;\n";
react_1.storiesOf('[extra] Mermaid', module)
    .addDecorator(function (story) { return React.createElement(_1.Box, { p: 3 }, story()); })
    .addWithInfo('Default', function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(Markdown_1.Markdown, null, readme),
        React.createElement(Mermaid_1.Mermaid, { value: source })));
});
